Skip to navigation

Delete Site

View as Markdown

Delete a specific Site

Org must have an Infrastructure Provider entity. User must have authorization role with PROVIDER_ADMIN suffix.

Site can only be deleted if all Allocations have been deleted.

Authentication

AuthorizationBearer
export JWT_BEARER_TOKEN="<jwt-bearer-token>"

# Example org name: "acme-inc
export ORG_NAME=<org-name>

# Use the JWT bearer token in your API request auth header:
curl -v -X GET -H "Content-Type: application/json" -H "Authorization: Bearer $JWT_BEARER_TOKEN" https://nico-rest-api.nico.svc.cluster.local/v2/org/$ORG_NAME/nico/user/current

Path parameters

orgstringRequired
Name of the Org
siteIdstringRequiredformat: "uuid"
ID of the Site

Query parameters

purgeMachinesbooleanOptional

Scrub all Machine data associated with this Site to re-pair

Response

Deletion request was accepted
messagestring

Human-readable outcome of the request

Errors

403
Forbidden Error